MU MKDIR(1)

NAME

mumkdir - create a new Maildir

SYNOPSIS

mu [common-options] mkdir [options] <dir> [<dirs>]

DESCRIPTION

mu mkdir is the command for creating Maildirs as per maildir(5). A maildir is a a directory with subdirectories new, cur and tmp.

The command require or use the mu database.

If creation fails for any reason, no attempt is made to remove any parts that were created. This is for safety reasons.

MKDIR OPTIONS

  --mode=<mode>

set the file access mode for the new maildir(s) as in chmod(1). The default is 0755.

COMMON OPTIONS

  -d, --debug

makes mu generate extra debug information, useful for debugging the program itself. By default, debug information goes to the log file, ~/.cache/mu/mu.log. It can safely be deleted when mu is not running. When running with --debug option, the log file can grow rather quickly. See the note on logging below.

  -q, --quiet

causes mu not to output informational messages and progress information to standard output, but only to the log file. Error messages will still be sent to standard error. Note that mu index is much faster with --quiet, so it is recommended you use this option when using mu from scripts etc.

  --log-stderr

causes mu to not output log messages to standard error, in addition to sending them to the log file.

  --nocolor

do not use ANSI colors. The environment variable NOCOLOR can be used as an alternative to --nocolor.

  -V, --version

prints mu version and copyright information.

  -h, --help

lists the various command line options.

EXAMPLE
    $ mu mkdir tom dick harry

creates three maildirs, tom, dick and harry.

REPORTING BUGS

Please report bugs at https://github.com/djcb/mu/issues.

AUTHOR

Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>

COPYRIGHT

This manpage is part of mu 1.10.8.

Copyright © 2022-2023 Dirk-Jan C. Binnema. License GPLv3+: GNU GPL version 3 or later https://gnu.org/licenses/gpl.html. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO

maildir(5), chmod(1)